com.r3corda.demos

## Package com.r3corda.demos

### Types

DemoClock | `class DemoClock : MutableClock, SerializeAsToken` A Clock that can have the date advanced for use in demos
IRSDemoRole | `enum class IRSDemoRole`
Role | `enum class Role`
TraderDemoProtocolBuyer | `class TraderDemoProtocolBuyer : ProtocolLogic<Unit>`
TraderDemoProtocolSeller | `class TraderDemoProtocolSeller : ProtocolLogic<Unit>`

### Properties

DEMO_TOPIC | `val DEMO_TOPIC: String`
DIRNAME | `val DIRNAME: String`

### Functions

main | `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` Creates a dummy transaction that requires a rate fix within a certain range, and gets it signed by an oracle service.
parseOptions | `fun parseOptions(args: Array<String>, parser: <ERROR CLASS>): <ERROR CLASS>`
runBuyer | `fun runBuyer(node: Node): Unit`
runSeller | `fun runSeller(myNetAddr: <ERROR CLASS>, node: Node, theirNetAddr: <ERROR CLASS>): Unit`
setupDirectory | `fun setupDirectory(mode: Role): Path`